﻿Imports System.IO

Public Class FrmWoF
    Dim MyPath As String
    Dim WheelDegree As Integer = 0
    Dim WheelSpeed As Integer
    Dim MyRandom As Random


    Private Sub FrmWoF_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        MyPath = Directory.GetCurrentDirectory
        MyRandom = New Random

        picWheel.Image = Image.FromFile(MyPath & "\Wheel0.png")
    End Sub

    Private Sub tmrWheel_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles tmrWheel.Tick
        WheelDegree = (WheelDegree + WheelSpeed) Mod 360
        picWheel.Image = Image.FromFile(MyPath & "\Wheel" & WheelDegree & ".png")
        WheelSpeed -= MyRandom.Next(0, 3)

        If WheelSpeed <= 1 Then
            tmrWheel.Enabled = False
        End If
    End Sub

    Private Sub btnSpin_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSpin.Click
        WheelSpeed = MyRandom.Next(30, 50)
        tmrWheel.Enabled = True
    End Sub
End Class
